Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Use your platform's publishable key combined with the `stripeAccount` parameter  (Read 400 times)

Offline blueglass22

  • Newbie
  • *
  • Posts: 10
  • Karma: +1/-0
    • View Profile
I'm getting this error from stripe when trying to process payment on my store.

Use your platform's publishable key combined with the `stripeAccount` parameter to confirm this PaymentIntent.

I have installed the live key and gone through all the testing. How do I fix this?

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1849
  • Karma: +277/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
What stripe payment extension do you use? default_stripe ?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline blueglass22

  • Newbie
  • *
  • Posts: 10
  • Karma: +1/-0
    • View Profile
Yes,
I use the default

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1849
  • Karma: +277/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
usually this erro appears when you have multiple accounts inside  your stripe account. Error means that API does not know what inner account do you want to use to retrieve payment.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4677
  • Karma: +242/-2
    • View Profile
Hello.
Could you please disconnect stripe and click the connect button. After a successful connection, make sure to not change the publish key, next add the secret key. Keep in mind test or live connection require different secret keys.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4677
  • Karma: +242/-2
    • View Profile
Hello.

If anyone experiences the same issue please update the default stripe to the latest code from the 1.2.17 branch https://github.com/abantecart/abantecart-src/tree/1.2.17/public_html/extensions/default_stripe

Offline llegrand

  • Hero Member
  • *****
  • Posts: 1597
  • Karma: +449/-3
    • View Profile
for those of you not completely familiar with GitHub files etc.  we have posted the patch files in our WHY2 central along with instructions.   

They are here https://why2central.net/patch/default-stripe-patch/

the support team from WHY2



 

Powered by SMFPacks Social Login Mod